Package org.eclipse.emf.cdo.lm

# Interface Stream

All Superinterfaces:
  `Baseline`, `CDOObject`, `CDOWithID`, `EObject`, `FloatingBaseline`, `ModelElement`, `ModuleElement`, `Notifier`, `StreamElement`, `SystemElement`

All Known Implementing Classes:
  `StreamImpl`

public interface Stream extends FloatingBaseline
A representation of the model object 'Stream'.

See Also:
  - `LMPackage.getStream()`
Generated
Model
No Implement
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Module`
  - `Base`
  - `Start Time Stamp`
  - `Major Version`
  - `Minor Version`
  - `Code Name`
  - `Allowed Changes`
  - `Mode`
  - `Development Branch`
  - `Maintenance Branch`
  - `Contents`
  - `Maintenance Time Stamp`
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.lm.Baseline

`COMPARATOR`

## Method Summary

Modifier and Type
Method
Description
`void`
`forEachBaseline(Consumer<Baseline> consumer)`
`Impact`
`getAllowedChanges()`
Returns the value of the 'Allowed Changes' attribute.
`Drop`
`getBase()`
Returns the value of the 'Base' reference.
`EList<Change>`
`getBasedChanges()`
`Baseline`
`getBaseline(String baselineName)`
`CDOBranchPointRef`
`getBranchPoint(long timeStamp)`
`String`
`getCodeName()`
Returns the value of the 'Code Name' attribute.
`EList<Baseline>`
`getContents()`
Returns the value of the 'Contents' containment reference list.
`Delivery`
`getDelivery(Change change)`
`CDOBranchRef`
`getDevelopmentBranch()`
Returns the value of the 'Development Branch' attribute.
`Drop`
`getFirstRelease()`
`Drop`
`getLastRelease()`
`CDOBranchRef`
`getMaintenanceBranch()`
Returns the value of the 'Maintenance Branch' attribute.
`long`
`getMaintenanceTimeStamp()`
Returns the value of the 'Maintenance Time Stamp' attribute.
`int`
`getMajorVersion()`
Returns the value of the 'Major Version' attribute.
`int`
`getMinorVersion()`
Returns the value of the 'Minor Version' attribute.
`StreamMode`
`getMode()`
Returns the value of the 'Mode' attribute.
`Module`
`getModule()`
Returns the value of the 'Module' container reference.
`EList<Drop>`
`getReleases()`
`long`
`getStartTimeStamp()`
Returns the value of the 'Start Time Stamp' attribute.
`int`
`insertContent(Baseline baseline)`
`void`
`setAllowedChanges(Impact value)`
Sets the value of the '`Allowed Changes`' attribute.
`void`
`setBase(Drop value)`
Sets the value of the '`Base`' reference.
`void`
`setCodeName(String value)`
Sets the value of the '`Code Name`' attribute.
`void`
`setDevelopmentBranch(CDOBranchRef value)`
Sets the value of the '`Development Branch`' attribute.
`void`
`setMaintenanceBranch(CDOBranchRef value)`
Sets the value of the '`Maintenance Branch`' attribute.
`void`
`setMaintenanceTimeStamp(long value)`
Sets the value of the '`Maintenance Time Stamp`' attribute.
`void`
`setMajorVersion(int value)`
Sets the value of the '`Major Version`' attribute.
`void`
`setMinorVersion(int value)`
Sets the value of the '`Minor Version`' attribute.
`void`
`setModule(Module value)`
Sets the value of the '`Module`' container reference.
`void`
`setStartTimeStamp(long value)`
Sets the value of the '`Start Time Stamp`' attribute.

### Methods inherited from interface org.eclipse.emf.cdo.lm.Baseline

`getBaseTimeStamp, getBranchPoint, getName, getStream, getTypeAndName, getTypeName, isFloating, setStream`

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.lm.FloatingBaseline

`getBranch, getDeliveries, isClosed, setClosed`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.lm.SystemElement

`getSystem`

## Method Details

### getModule

Module getModule()
Returns the value of the 'Module' container reference. It is bidirectional and its opposite is '`Streams`'.

Specified by:
  `getModule` in interface `ModuleElement`
Returns:
  the value of the 'Module' container reference.
See Also:
  - `setModule(org.eclipse.emf.cdo.lm.Module)`
  - `LMPackage.getStream_Module()`
  - `Module.getStreams()`
Generated
Model
  opposite="streams" required="true" transient="false"

### setModule

void setModule(Module value)
Sets the value of the '`Module`' container reference.

Parameters:
  `value` - the new value of the 'Module' container reference.
See Also:
  - `getModule()`
Generated

### getBase

Drop getBase()
Returns the value of the 'Base' reference.

Specified by:
  `getBase` in interface `FloatingBaseline`
Returns:
  the value of the 'Base' reference.
See Also:
  - `setBase(Drop)`
  - `LMPackage.getStream_Base()`
Generated
Model

### setBase

void setBase(Drop value)
Sets the value of the '`Base`' reference.

Parameters:
  `value` - the new value of the 'Base' reference.
See Also:
  - `getBase()`
Generated

### getStartTimeStamp

long getStartTimeStamp()
Returns the value of the 'Start Time Stamp' attribute.

Returns:
  the value of the 'Start Time Stamp' attribute.
See Also:
  - `setStartTimeStamp(long)`
  - `LMPackage.getStream_StartTimeStamp()`
Generated
Model
  required="true"

### setStartTimeStamp

void setStartTimeStamp(long value)
Sets the value of the '`Start Time Stamp`' attribute.

Parameters:
  `value` - the new value of the 'Start Time Stamp' attribute.
See Also:
  - `getStartTimeStamp()`
Generated

### getMajorVersion

int getMajorVersion()
Returns the value of the 'Major Version' attribute.

Returns:
  the value of the 'Major Version' attribute.
See Also:
  - `setMajorVersion(int)`
  - `LMPackage.getStream_MajorVersion()`
Generated
Model
  required="true"

### setMajorVersion

void setMajorVersion(int value)
Sets the value of the '`Major Version`' attribute.

Parameters:
  `value` - the new value of the 'Major Version' attribute.
See Also:
  - `getMajorVersion()`
Generated

### getMinorVersion

int getMinorVersion()
Returns the value of the 'Minor Version' attribute.

Returns:
  the value of the 'Minor Version' attribute.
See Also:
  - `setMinorVersion(int)`
  - `LMPackage.getStream_MinorVersion()`
Generated
Model
  required="true"

### setMinorVersion

void setMinorVersion(int value)
Sets the value of the '`Minor Version`' attribute.

Parameters:
  `value` - the new value of the 'Minor Version' attribute.
See Also:
  - `getMinorVersion()`
Generated

### getCodeName

String getCodeName()
Returns the value of the 'Code Name' attribute.

Returns:
  the value of the 'Code Name' attribute.
See Also:
  - `setCodeName(String)`
  - `LMPackage.getStream_CodeName()`
Generated
Model

### setCodeName

void setCodeName(String value)
Sets the value of the '`Code Name`' attribute.

Parameters:
  `value` - the new value of the 'Code Name' attribute.
See Also:
  - `getCodeName()`
Generated

### getAllowedChanges

Impact getAllowedChanges()
Returns the value of the 'Allowed Changes' attribute. The default value is `"Minor"`. The literals are from the enumeration `Impact`.

Returns:
  the value of the 'Allowed Changes' attribute.
See Also:
  - `Impact`
  - `setAllowedChanges(Impact)`
  - `LMPackage.getStream_AllowedChanges()`
Generated
Model
  default="Minor"

### setAllowedChanges

void setAllowedChanges(Impact value)
Sets the value of the '`Allowed Changes`' attribute.

Parameters:
  `value` - the new value of the 'Allowed Changes' attribute.
See Also:
  - `Impact`
  - `getAllowedChanges()`
Generated

### getContents

EList<Baseline> getContents()
Returns the value of the 'Contents' containment reference list. The list contents are of type `Baseline`. It is bidirectional and its opposite is '`Stream`'.

Returns:
  the value of the 'Contents' containment reference list.
See Also:
  - `LMPackage.getStream_Contents()`
  - `Baseline.getStream()`
Generated
Model
  opposite="stream" containment="true"

### getMaintenanceTimeStamp

long getMaintenanceTimeStamp()
Returns the value of the 'Maintenance Time Stamp' attribute.

Returns:
  the value of the 'Maintenance Time Stamp' attribute.
See Also:
  - `setMaintenanceTimeStamp(long)`
  - `LMPackage.getStream_MaintenanceTimeStamp()`
Generated
Model

### setMaintenanceTimeStamp

void setMaintenanceTimeStamp(long value)
Sets the value of the '`Maintenance Time Stamp`' attribute.

Parameters:
  `value` - the new value of the 'Maintenance Time Stamp' attribute.
See Also:
  - `getMaintenanceTimeStamp()`
Generated

### insertContent

int insertContent(Baseline baseline)

Generated
Model
  baselineRequired="true"

### getBranchPoint

CDOBranchPointRef getBranchPoint(long timeStamp)

Generated
Model
  dataType="org.eclipse.emf.cdo.etypes.BranchPointRef"

### getMode

StreamMode getMode()
Returns the value of the 'Mode' attribute. The literals are from the enumeration `StreamMode`.

Returns:
  the value of the 'Mode' attribute.
See Also:
  - `StreamMode`
  - `#setMode(StreamMode)`
  - `LMPackage.getStream_Mode()`
Generated
Model
  required="true"

### getDevelopmentBranch

CDOBranchRef getDevelopmentBranch()
Returns the value of the 'Development Branch' attribute.

Returns:
  the value of the 'Development Branch' attribute.
See Also:
  - `setDevelopmentBranch(CDOBranchRef)`
  - `LMPackage.getStream_DevelopmentBranch()`
Generated
Model
  dataType="org.eclipse.emf.cdo.etypes.BranchRef" required="true"

### setDevelopmentBranch

void setDevelopmentBranch(CDOBranchRef value)
Sets the value of the '`Development Branch`' attribute.

Parameters:
  `value` - the new value of the 'Development Branch' attribute.
See Also:
  - `getDevelopmentBranch()`
Generated

### getMaintenanceBranch

CDOBranchRef getMaintenanceBranch()
Returns the value of the 'Maintenance Branch' attribute.

Returns:
  the value of the 'Maintenance Branch' attribute.
See Also:
  - `setMaintenanceBranch(CDOBranchRef)`
  - `LMPackage.getStream_MaintenanceBranch()`
Generated
Model
  dataType="org.eclipse.emf.cdo.etypes.BranchRef"

### setMaintenanceBranch

void setMaintenanceBranch(CDOBranchRef value)
Sets the value of the '`Maintenance Branch`' attribute.

Parameters:
  `value` - the new value of the 'Maintenance Branch' attribute.
See Also:
  - `getMaintenanceBranch()`
Generated

### getFirstRelease

Drop getFirstRelease()

Generated
Model
  kind="operation"

### getLastRelease

Drop getLastRelease()

Generated
Model
  kind="operation"

### getReleases

EList<Drop> getReleases()

Generated
Model
  kind="operation"

### getBasedChanges

EList<Change> getBasedChanges()

Generated
Model
  kind="operation"

### forEachBaseline

void forEachBaseline(Consumer<Baseline> consumer)

### getBaseline

Baseline getBaseline(String baselineName)

### getDelivery

Delivery getDelivery(Change change)